﻿using Hotline.Share.Enums.FlowEngine;
using XF.Domain.Entities;

namespace Hotline.FlowEngine.Definitions;

/// <summary>
/// 模板定义节点
/// </summary>
public class StepDefine : StepBasic
{
    public List<NextStepDefine> NextSteps { get; set; }

    public EFlowAssignType GFlowAssignType()
    {
        return HandlerType switch
        {
            EHandlerType.Role => EFlowAssignType.User,
            EHandlerType.OrgLevel => EFlowAssignType.Org,
            EHandlerType.OrgType => EFlowAssignType.Org,
            EHandlerType.AssignUser => EFlowAssignType.User,
            EHandlerType.AssignOrg => EFlowAssignType.Org,
            _ => throw new ArgumentOutOfRangeException()
        };
    }
}