﻿using Hotline.FlowEngine.Workflows;
using Hotline.Share.Dtos.FlowEngine;
using MediatR;
using XF.Domain.Entities;

namespace Hotline.FlowEngine.Notifies;

public record WorkflowNotify(Workflow Workflow, EFlowAssignType FlowAssignType) : INotification;

public record StartWorkflowNotify(Workflow Workflow, EFlowAssignType FlowAssignType, BasicWorkflowDto Dto) : WorkflowNotify(Workflow, FlowAssignType);

public record NextStepNotify(Workflow Workflow, EFlowAssignType FlowAssignType, BasicWorkflowDto Dto) : WorkflowNotify(Workflow, FlowAssignType);

public record AcceptWorkflowNotify(Workflow Workflow) : INotification;

public record CountersignEndAssigned(Workflow Workflow) : INotification;

public record PreviousStepNotify(PreviousWorkflowDto Data) : INotification;